!Switch
# Easi documentation described at https://easyinit.readthedocs.io/en/latest/
[rs_a]: !LayeredModel  
  # Depth-dependent direct parameter (a) using linear interpolation
  map: !AffineMap
    matrix:
      z0: [0.0, 0.0, 1.0]
    translation:
      z0: 0
  interpolation: linear
  parameters: [rs_a]
  nodes:
     10e10:    [0.02]
     1500.0:  [0.02]
     -2800.0: [0.02]
     -3300.0: [0.01]
     -5300.0: [0.01]
     -5500.0: [0.02]
     -10e10:   [0.02]
[RS_sl0]: !ConstantMap
  # Constant state evolution distance (m)
  map:
    RS_sl0: 0.2
[rs_srW]: !LayeredModel
  # Depth-dependent weakening slip velocity using linear interpolation
  map: !AffineMap
    matrix:
      z0: [0.0, 0.0, 1.0]
    translation:
      z0: 0
  interpolation: linear
  parameters: [rs_srW]
  nodes:
     10e10:    [1.0]
     1500.0:  [1.0]
     -2800.0: [1.0]
     -3300.0: [0.1]
     -5300.0: [0.1]
     -5500.0: [1.0]
     -10e10:   [1.0]
# Initial stress tensor definition for resolving on-fault tractions
[s_xx, s_yy, s_zz, s_xy, s_yz, s_xz]: !Include Korea_initial_stress_dip.yaml
# Initial nucleation overstress definition 
[nuc_xx,nuc_yy,nuc_zz,nuc_xy, nuc_yz,nuc_xz]: !Include Korea_nucleation_stress_dip.yaml
